SQL-инъекция и межсайтовый скриптинг в DeluxeBB

Дата публикации:
20.09.2005
Дата изменения:
24.03.2009
Всего просмотров:
1203
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DeluxeBB 1.x
Уязвимые версии: DeluxeBB

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

Уязвимости существуют из-за недостаточной обработки входных данных в параметре ‘limit’. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Примеры:

http://[target]/community/index.php?limit=
<script>alert('LINUX%20aka');</script>

http://[target]/community/index.php?limit='LINUX

URL производителей: www.deluxebb.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: DeluxeBB bugs

или введите имя

CAPTCHA